Page MenuHomePhabricator

[OPENMP] Current status of OpenMP support.
ClosedPublic

Authored by ABataev on Oct 31 2017, 9:52 AM.

Diff Detail

Repository
rC Clang

Event Timeline

ABataev created this revision.Oct 31 2017, 9:52 AM

Do we want to add documentation about which target devices Clang can generate code for?

docs/OpenMPSupport.rst
47

I think that's also a combined directive?

Do we want to add documentation about which target devices Clang can generate code for?

Ok

docs/OpenMPSupport.rst
47

No, it is not. It is part of device constructs

ABataev updated this revision to Diff 121018.Oct 31 2017, 11:00 AM

Added info about supported devices.

ABataev updated this revision to Diff 122268.Nov 9 2017, 10:31 AM

Update status.

ABataev updated this revision to Diff 122273.Nov 9 2017, 10:51 AM

Fixed version of OpenMP standard

ABataev updated this revision to Diff 123373.Nov 17 2017, 10:02 AM

Updated info about supported constructs.

ABataev updated this revision to Diff 123932.Nov 22 2017, 6:39 AM

Added codegen for target teams construct.

ABataev updated this revision to Diff 124430.Nov 27 2017, 11:42 AM

Added codegen for distribute parallel for simd construct.

kkwli0 added a subscriber: kkwli0.Nov 28 2017, 3:50 PM
ABataev updated this revision to Diff 126773.Dec 13 2017, 9:35 AM

Status update.

ABataev updated this revision to Diff 126800.Dec 13 2017, 11:47 AM

Status update

ABataev updated this revision to Diff 126820.Dec 13 2017, 1:11 PM

Status update

@hfinkel I think you requested this documentation on the mailing list. Can you take a look if it matches your expectations so we can get this bundled in the 6.0 release?

docs/OpenMPSupport.rst
18

We should probably say that current trunk is not able to compile for Cuda devices yet.

ABataev updated this revision to Diff 128238.Dec 27 2017, 10:55 AM

Updated status of target (update|enter data|exit data) directives.
Marked that support for cuda devices is not ready yet.

@hfinkel I think you requested this documentation on the mailing list. Can you take a look if it matches your expectations so we can get this bundled in the 6.0 release?

Yes, this looks good. Thank you.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 8 2018, 11:04 AM
This revision was automatically updated to reflect the committed changes.